apt 3.1.11 commandline package manager

Public Member Functions | List of all members
pkgCache::VerIterator Class Reference
Inheritance diagram for pkgCache::VerIterator:

## Public Member Functions
Version * | OwnerPointer () const
VerIterator & | operator++ ()
VerIterator | operator++ (int)
VerIterator | NextInSource ()
int | CompareVer (const VerIterator &B) const
bool | SimilarVer (const VerIterator &B) const
| compares two version and returns if they are similar
const char * | VerStr () const
const char * | Section () const
SrcVerIterator | SourceVersion () const
| source version this version comes from Always contains the version string, even if it is the same as the binary version
const char * | SourcePkgName () const
| source package name this version comes from Always contains the name, even if it is the same as the binary name
const char * | SourceVerStr () const
| source version this version comes from Always contains the version string, even if it is the same as the binary version
const char * | Arch () const
PkgIterator | ParentPkg () const
DescIterator | DescriptionList () const
DescIterator | TranslatedDescriptionForLanguage (std::string_view lang) const
DescIterator | TranslatedDescription () const
DepIterator | DependsList () const
PrvIterator | ProvidesList () const
VerFileIterator | FileList () const
bool | Downloadable () const
const char * | PriorityType () const
const char * | MultiArchType () const APT_PURE
std::string | RelStr () const
bool | Automatic () const
VerFileIterator | NewestFile () const
bool | IsSecurityUpdate () const
| VerIterator (pkgCache &Owner, Version *Trg=0)
Public Member Functions inherited from pkgCache::Iterator< Version, VerIterator >
bool | end () const
bool | operator== (const VerIterator &B) const
bool | operator!= (const VerIterator &B) const
Version * | operator-> ()
| operator Version * ()
| operator Version const * () const
Version & | operator* ()
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< Version > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Version, VerIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Version, VerIterator >
Version * | S
pkgCache * | Owner

## Member Function Documentation

## ◆ SimilarVer()

bool SimilarVer | ( | const VerIterator & | B | ) | const
| inline

compares two version and returns if they are similar

This method should be used to identify if two pseudo versions are referring to the same "real" version

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc